# QStyleOptionProgressBarV2 Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOptionProgressBar.

### Constructor

- void QStyleOptionProgressBarV2()
- void QStyleOptionProgressBarV2(QStyleOptionProgressBar other)
- void QStyleOptionProgressBarV2(QStyleOptionProgressBarV2 other)

### Constructor Properties

- prototype: The QStyleOptionProgressBarV2 prototype object
- Version = 2
- StyleOptionVersion( value )
- Type = SO_ProgressBar
- StyleOptionType( value )

### Instance Properties

QStyleOptionProgressBarV2 objects have no special properties beyond those inherited from the QStyleOptionProgressBarV2 prototype object.